## rtpinsertsound 3.0

=== g711conversions/Makefile ===
g711conversions: g711conversions.c g711conversions.h
	gcc -c g711conversions.c

clean:
	rm -f g711conversions.o

=== rtpinsertsound_v3.0/Makefile ===
rtpinsertsound: rtpinsertsound.c rtpinsertsound.h
	gcc -I../hack_library -I../g711conversions rtpinsertsound.c -lnet -lpcap -lfindrtp ../hack_library/hack_library.o ../g711conversions/g711conversions.o -o rtpinsertsound

clean:
	rm -f rtpinsertsound rtpinsertsound.o

=== debian/changelog ===
rtpinsertsound (3.0-1kali4) kali-dev; urgency=medium

  * Drop libpcap0.8 and libnet1 from Depends field
  * Misc packaging updates
  * Add patch for implicit-function-declaration warnings

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 06 May 2024 15:42:25 +0700

rtpinsertsound (3.0-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Add d/watch file.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 25 Jan 2023 17:04:29 -0600

rtpinsertsound (3.0-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Jan 2021 08:27:18 +0100

rtpinsertsound (3.0-1kali1) kali; urgency=low

  * Updated build and install depends

 -- Devon Kearns <dookie@kali.org>  Sun, 30 Dec 2012 16:45:43 -0700

rtpinsertsound (3.0-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sun, 30 Dec 2012 16:27:29 -0700

=== debian/control ===
Source: rtpinsertsound
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libfindrtp, libnet1-dev, libpcap-dev
Standards-Version: 4.6.2
Homepage: http://www.hackingvoip.com/sec_tools.html
Vcs-Git: https://gitlab.com/kalilinux/packages/rtpinsertsound.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rtpinsertsound

Package: rtpinsertsound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Inserts audio into a specified stream
 A tool to insert audio into a specified audio (i.e. RTP)
 stream was created in the August - September 2006 timeframe.
 The tool is named rtpinsertsound. It was tested on a Linux
 Red Hat Fedora Core 4 platform (Pentium IV, 2.5 GHz), but
 it is expected this tool will successfully build and execute
 on a variety of Linux distributions.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	cd g711conversions/ && $(MAKE) && cd ../
	cd hack_library/ && $(MAKE) && cd ../
	cd rtpinsertsound_v3.0/ && $(MAKE) && cd ../

override_dh_auto_install:
	dh_installdirs
	install rtpinsertsound_v3.0/rtpinsertsound $(CURDIR)/debian/rtpinsertsound/usr/bin/

=== debian/watch ===
version=4
http://www.hackingvoip.com/sec_tools.html .*/rtpinsertsound_v(.*)\.tar\.gz

## rtpinsertsound v2.0

=== Makefile ===
rtpinsertsound: rtpinsertsound.c rtpinsertsound.h
	gcc -I../hack_library -I../g711conversions rtpinsertsound.c -lnet -lpcap ../hack_library/hack_library.o ../g711conversions/g711conversions.o -o rtpinsertsound

clean:
	rm -f rtpinsertsound rtpinsertsound.o
